﻿Imports System.IO
Imports System.Drawing.Printing
Imports ThinkGeo.Core

Public Class DotNetUtils
  Public Shared Function GeoImageFromBitmap(ByVal oBitmap As Bitmap) As GeoImage
    Dim oMemStream As New MemoryStream()
    Dim oGeoImage As GeoImage = Nothing

    Try
      oBitmap.Save(oMemStream, System.Drawing.Imaging.ImageFormat.Jpeg)
      oGeoImage = New GeoImage(oMemStream)
    Catch
    End Try

    Return oGeoImage
  End Function
  Public Shared Function GetPrinter() As PrinterSettings
    Dim oPrintDialog As New PrintDialog
    Dim oPrinterSettings As PrinterSettings = Nothing

    With oPrintDialog
      If Not .ShowDialog() = DialogResult.Cancel Then
        oPrinterSettings = .PrinterSettings
      End If
    End With
    Return oPrinterSettings
  End Function
  Public Enum EnumCoordSys
    USA_Contiguous_Albers_Equal_Area_Conic = 102003
    NAD83_UTM_zone_16N = 26916
    NAD83 = 4269
    WGS_84 = 4326
    NAD_1983_StatePlane_Georgia_West_FIPS_1002_Feet = 102667
    Spherical_Mercator = 3857
  End Enum
End Class
